KubeOne(1)

NAME

kubeone-config-images-list - List images that will be used

SYNOPSIS

kubeone config images list [flags]

DESCRIPTION

List images that will be used

OPTIONS

--filter="none"
    images list filter, one of the [none|base|optional]

-h, --help[=false]
    help for list

OPTIONS INHERITED FROM PARENT COMMANDS

-c, --credentials=""
    File to source credentials and secrets from

-d, --debug[=false]
    debug output with stacktrace

-m, --manifest="./kubeone.yaml"
    Path to the KubeOne config

-t, --tfjson=""
    Source for terraform output in JSON - to read from stdin. If path is a file, contents will be used. If path is a dictionary, terraform output -json is executed in this path

-v, --verbose[=false]
    verbose output

EXAMPLE

    # To see all images list
    kubeone config images list
    # To see base images list
    kubeone config images list --filter base
    # To see optional images list
    kubeone config images list --filter optional
    # To see images list affected by the registryConfiguration configuration (in case if any)
    kubeone config images list -m mycluster.yaml

SEE ALSO

kubeone-config-images(1)

HISTORY

15-Sep-2021 Auto generated by spf13/cobra